<?xml version="1.0" encoding="GB2312"?>
<AnalysisConfig>
<!--Common Used by Front and Rear Mode Begin-->
	<SceneMode Name="NormalCapture">
		<Feature Name="normalmode" RequestName = "normalshot">
			<Pipeline Name="PostIpp" FilterType="PreviewFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="StatIpp" FilterType="StatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PreviewSat" FilterType="PreviewSatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="foreNormalmode" RequestName="normalshot">
			<Pipeline Name="PostIpp" FilterType="PreviewFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="StatIpp" FilterType="StatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PreviewSat" FilterType="PreviewSatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="PostNormalMode" RequestName="normalshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideHDSRMainSRFov" RequestName="sthdrshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainRawHdr" RequestName="backRawhdr" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawHdrp" RequestName="aiRawHdrp" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawHdrpFov" RequestName="AirawHdrpAncfusion" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideAiRawHdrpFov" RequestName="AirawHdrpAncfusion" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawHdrplite" RequestName="aiRawHdrplite" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawHdrpliteFov" RequestName="AirawHdrpliteAncfusion" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideAiRawHdrpliteFov" RequestName="FullZoomWideAncFusion" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawMefSmallFace" RequestName="aiRawMef" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="teleQuadraAiraw" RequestName="aiRawSR" Base="mainAiRawHdrp">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainQuadraAiraw" RequestName="aiRawSR" Base="mainAiRawHdrp">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainHDSR" RequestName="sthdrshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideSRMainSRFov" RequestName="sthdrshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainSRTeleSRFov" RequestName="normalshot" Base="normalmode">
		</Feature>
		<!--bestsShot-->
		<Feature Name="bestshotMode"  RequestName="bestshot" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<!--for front normal mode-->
		<Feature Name="wideBFRawHdrFaceSR" RequestName="frontRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrNFaceSR" RequestName="frontNightRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideSuperNight" RequestName="supernightshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideEllip" RequestName="darkvisionshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainSRFaceSRMo" RequestName="sthdrshot" Base="mainHDSR">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
	</SceneMode>
	<SceneMode Name="NormalRecord">
		<Feature Name="VideoBase" RequestName="normalshot">
			<Pipeline Name="StatIpp" FilterType="StatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PreviewSat" FilterType="PreviewSatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="NormalVideo" RequestName = "normalshot" Base = "VideoBase">
			<Pipeline Name="PostIpp" FilterType="PreviewFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="AipIpp" FilterType="AipFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="WaterMarkFilterIpp" FilterType="WaterMarkFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="AiRawNightVideo" RequestName = "AiRawNightVideo" Base = "NormalVideo">
			<Pipeline Name="StreamingForeIpp" FilterType="StreamingForePreviewFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="StreamingPreviewIpp" FilterType="StreamingPreviewFilter">
			   <Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="StreamingRecordVideo" FilterType="StreamingRecordVideoFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="AiRawHdrpliteVideo" RequestName = "aiRawHdrpLiteVideo" Base = "NormalVideo">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="RawHdrVideoFront" RequestName = "rawHdrVideoFront" Base = "NormalVideo">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="NormalMovieVideo" RequestName = "normalMovieShot" Base = "NormalVideo">
			<Pipeline Name="StatIpp" FilterType="StatFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="AiRawHdrpliteMovieVideo" RequestName = "aiRawHdrpLiteMovieShot" Base = "NormalMovieVideo">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="NonStabVideo" RequestName = "normalshot" Base = "VideoBase">
			<Pipeline Name="PostIpp" FilterType="PreviewFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
	</SceneMode>
	<SceneMode Name="PortraitMode">
		<!--for front Portrait Mode-->
		<Feature Name="wideBFRawHdrNFaceSRBeauty" RequestName="frontNightRawhdrAnc" Base="wideBFRawHdrNFaceSR">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrFaceSRBeauty" RequestName="frontRawhdrAnc" Base="wideBFRawHdrFaceSR">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
				<!--for Portrait-->
		<Feature Name="normalmodeBokehBeauty" RequestName="arcsoftBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="lowLightmodeBokehFaceSRBeauty" RequestName="arcsoftSuperNightBokehSnapshot" Base="lowLightmodeBokeh">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="rawhdrmodeBokehFaceSRBeauty" RequestName="arcsoftHdrBokehSnapshot" Base="rawhdrmodeBokeh">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="normalmodeBokehFaceSRBeauty" RequestName="arcsoftBokehSnapshot" Base="normalmodeBokehBeauty">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainFaceSRBeauty" RequestName="normalshot" Base="normalmode">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainHDSRFaceSRBeauty" RequestName="sthdrshot" Base="mainHDSR">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainSRFaceSRMoBokehBeauty" RequestName="sthdrshot" Base="mainHDSR">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainAiRawMoBokehBeauty" RequestName="arcsoftLowLightBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainRawHdrMoBokehBeauty" RequestName="backRawhdr" Base="mainRawHdrMoBokeh">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="fairLightBeauty" RequestName="normalshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="beauty" RequestName="normalshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
	</SceneMode>
	<SceneMode Name="NightMode">
		<!--for front Night-->
		<Feature Name="wideFRawHdrNFaceSRBeauty" RequestName="frontNightRawhdrAnc" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideFRawHdrNFaceSR" RequestName="frontNightRawhdrAnc" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideFRawHdrFaceSRBeauty" RequestName="frontRawhdrAnc" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideFRawHdrFaceSR" RequestName="frontRawhdrAnc" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<!--for Night-->
		<Feature Name="wideEllipBeautyNM" RequestName="darkvisionshot" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideSuperNightBeautyNM" RequestName="supernightshot" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideEllipNM" RequestName="darkvisionshot" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			<Node Name="DarkVision" Type="Plugin" AlgoName="DarkVisionPpAlgo"><Connect PadName="Out0" PeerNodeName="JpegEncoder" PeerPadName="In0"/></Node>
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideSuperNightNM" RequestName="supernightshot" Base="foreNormalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrNFaceSRFBokehBeauty" RequestName="frontNightRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrFaceSRFBokehBeauty" RequestName="frontRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrNFaceSRFBokeh" RequestName="frontNightRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="wideBFRawHdrFaceSRFBokeh" RequestName="frontRawhdrAnc" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
	</SceneMode>
	<SceneMode Name="BokehMode">
		<!--for Bokeh-->
		<Feature Name="normalmodeBokeh" RequestName="arcsoftBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="airawNormalModeBokeh" RequestName="arcsoftAirawBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="MCFFeature" RequestName="arcsoftBokehSnapshot" Base="normalmodeBokeh">
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="lowLightmodeBokeh" RequestName="arcsoftSuperNightBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="rawhdrmodeBokeh" RequestName="arcsoftHdrBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="airawHdrModeBokeh" RequestName="arcsoftAirawHdrBokehSnapshot" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
		<Feature Name="mainRawHdrMoBokeh" RequestName="backRawhdr" Base="normalmode">
			<Pipeline Name="ForePp" FilterType="FPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
			<Pipeline Name="PostPp" FilterType="PPFilter">
				<Stage Name="ONSOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="ONEOS">
					<PipelineTimeOut value="1000"/>
					<PluginBaseTimeOut value="100"/>
					<PluginTimeOut PluginName="SinkPlugin" value="200"/>
				</Stage>
				<Stage Name="PROCESS">
					<PipelineTimeOut value="5000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
				<Stage Name="FLUSH">
					<PipelineTimeOut value="2000"/>
					<PluginBaseTimeOut value="200"/>
					<PluginTimeOut PluginName="SinkPlugin" value="2000"/>
				</Stage>
			</Pipeline>
		</Feature>
	</SceneMode>
</AnalysisConfig>
